# lookup

### Lookup an entity <a href="#lookup-an-entity" id="lookup-an-entity"></a>

This endpoint looks up an entity based on the given criteria. The criteria can be `name`, `id`, `alias_id`, or a combination of `alias_name` and `alias_mount_accessor`.

| Method | Path                      |
| ------ | ------------------------- |
| `POST` | `/identity/lookup/entity` |

#### Parameters <a href="#parameters" id="parameters"></a>

* `name` `(string: "")` – Name of the entity.
* `id` `(string: "")` - ID of the entity.
* `alias_id` `(string: "")` - ID of the alias.
* `alias_name` `(string: "")` - Name of the alias. This should be supplied in conjunction with `alias_mount_accessor`.
* `alias_mount_accessor` `(string: "")` - Accessor of the mount to which the alias belongs to. This should be supplied in conjunction with `alias_name`.

#### Sample payload <a href="#sample-payload" id="sample-payload"></a>

```json
{
  "id": "043fedec-967d-b2c9-d3af-0c467b04e1fd"
}
```

#### Sample request <a href="#sample-request" id="sample-request"></a>

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/identity/lookup/entity
```

#### Sample response <a href="#sample-response" id="sample-response"></a>

```json
{
  "data": {
    "aliases": [],
    "creation_time": "2017-11-13T21:01:33.543497Z",
    "direct_group_ids": [],
    "group_ids": [],
    "id": "043fedec-967d-b2c9-d3af-0c467b04e1fd",
    "inherited_group_ids": [],
    "last_update_time": "2017-11-13T21:01:33.543497Z",
    "merged_entity_ids": null,
    "metadata": null,
    "name": "entity_43cc451b",
    "policies": null
  }
}
```

### Lookup a group <a href="#lookup-a-group" id="lookup-a-group"></a>

This endpoint looks up a group based on the given criteria. The criteria can be `name`, `id`, `alias_id`, or a combination of `alias_name` and `alias_mount_accessor`.

| Method | Path                     |
| ------ | ------------------------ |
| `POST` | `/identity/lookup/group` |

#### Parameters <a href="#parameters-1" id="parameters-1"></a>

* `name` `(string: "")` – Name of the group.
* `id` `(string: "")` - ID of the group.
* `alias_id` `(string: "")` - ID of the alias.
* `alias_name` `(string: "")` - Name of the alias. This should be supplied in conjunction with `alias_mount_accessor`.
* `alias_mount_accessor` `(string: "")` - Accessor of the mount to which the alias belongs to. This should be supplied in conjunction with `alias_name`.

#### Sample payload <a href="#sample-payload-1" id="sample-payload-1"></a>

```json
{
  "id": "70a4bdef-9da3-4460-b524-bb08542eef25"
}
```

#### Sample request <a href="#sample-request-1" id="sample-request-1"></a>

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/identity/lookup/group
```

#### Sample response <a href="#sample-response-1" id="sample-response-1"></a>

```json
{
  "data": {
    "alias": {},
    "creation_time": "2017-11-13T21:06:44.475587Z",
    "id": "70a4bdef-9da3-4460-b524-bb08542eef25",
    "last_update_time": "2017-11-13T21:06:44.475587Z",
    "member_entity_ids": [],
    "member_group_ids": null,
    "metadata": null,
    "modify_index": 1,
    "name": "group_eaf2aab1",
    "policies": null,
    "type": "internal"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/secrets-engines/identity/lookup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
